Bug 1201972 - zypper 1.14.53 ignores (no-)-allow-vendor-change option
zypper 1.14.53 ignores (no-)-allow-vendor-change option
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: libzypp
Leap 15.4
Other openSUSE Leap 15.4
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-07-29 05:14 UTC by Andrei Borzenkov
Modified: 2022-10-11 19:25 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
zypper test case part 1 (10.00 MB, application/x-bzip)
2022-07-29 06:36 UTC, Andrei Borzenkov
Details
zypper testcase part 2 (2.76 MB, application/x-bzip)
2022-07-29 06:37 UTC, Andrei Borzenkov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Borzenkov 2022-07-29 05:14:45 UTC
10:~ # rpm -q zypper
zypper-1.14.52-150400.1.9.x86_64
10:~ # zypper up --allow-vendor-change 
Loading repository data...
Reading installed packages...

The following 7 packages are going to be upgraded:
  libavcodec57 libavformat57 libavutil55 libfdk-aac2 libswresample2 libswscale4
  zypper

The following 6 packages are going to change vendor:
  libavcodec57  
    SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
  libavformat57 
    SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
  libavutil55   
    SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
  libfdk-aac2   
    SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
  libswresample2
    SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de
  libswscale4   
    SUSE LLC <https://www.suse.com/> -> http://packman.links2linux.de

The following 5 NEW packages are going to be installed:
  libopencore-amrnb0 libopencore-amrwb0 libx264-161 libx265-199 libxvidcore4

7 packages to upgrade, 5 new, 6  to change vendor.
Overall download size: 9.5 MiB. Already cached: 0 B. After the operation,
additional 25.6 MiB will be used.
Continue? [y/n/v/...? shows all options] (y): n
10:~ # zypper in zypper
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following package is going to be upgraded:
  zypper

1 package to upgrade.
Overall download size: 1.6 MiB. Already cached: 0 B. After the operation,
additional 46.9 KiB will be used.
Continue? [y/n/v/...? shows all options] (y): 
Retrieving package zypper-1.14.53-150400.3.3.1.x86_64
                                           (1/1),   1.6 MiB (  7.9 MiB unpacked)
Retrieving: zypper-1.14.53-150400.3.3.1.x86_64.rpm ...........[done (2.6 MiB/s)]

Checking for file conflicts: .............................................[done]
(1/1) Installing: zypper-1.14.53-150400.3.3.1.x86_64 .....................[done]
There are running programs which still use files and libraries deleted or updated by recent upgrades. They should be restarted to benefit from the latest updates. Run 'zypper ps -s' to list these programs.

10:~ # zypper up --allow-vendor-change 
Loading repository data...
Reading installed packages...

The following 6 package updates will NOT be installed:
  libavcodec57 libavformat57 libavutil55 libfdk-aac2 libswresample2 libswscale4
Nothing to do.
10:~ #
Comment 1 Michael Andres 2022-07-29 06:10:09 UTC
Please provide a solver testcase, so we can check why the updates are not installed. It's not necessarily due to a vendor change.
(We also should also try enhance the zypper output to show the reason why.) 


Please call 'zypper up --allow-vendor-change --debug-solver'. Then pack the testcase directory together with the/var/log/zypper.log and attach it to the bugreport.

  ##
  cd /tmp
  tar cvjf zypper-testcase.bz2 /var/log/zypper.solverTestCase /var/log/zypper.log

In case the testcase exceeds the 10MB limit for bugzilla uploads, you can use 'split' to divide the file into smaller pieces:

  cd /tmp
  split -b 10M --additional-suffix=-zypper-testcase.bz2 zypper-testcase.bz2

The created pieces will be named:

  xaa-zypper-testcase.bz2
  xab-zypper-testcase.bz2
  xac-...
Comment 2 Andrei Borzenkov 2022-07-29 06:36:34 UTC
Created attachment 860470 [details]
zypper test case part 1
Comment 3 Andrei Borzenkov 2022-07-29 06:37:12 UTC
Created attachment 860471 [details]
zypper testcase part 2
Comment 4 Michael Andres 2022-07-29 12:53:34 UTC
I's indeed broken, apparently for 'up' only.
Comment 5 Michael Andres 2022-08-29 14:16:39 UTC
https://github.com/openSUSE/zypper/pull/454

Fixed for zypper-1.14.56
Comment 11 Michael Andres 2022-09-28 15:08:50 UTC
(In reply to Julio González Gil from comment #10)
> 
> @ma, are you sure `in` is not affected as well?
> 
> It seems `--allow-vendor-change` didn't work for us, as I mentioned at the
> email.

It's a completely different cause internally, but from the users perspective it looks quite similar. That's why I reopen this and will reuse it as reference for the 'in'-fix as well.

Both will be released in zypper-1.14.57
Comment 14 Michael Andres 2022-10-05 18:30:59 UTC
Fixed with libzypp-17.31.2 zypper-1.14.57
Comment 16 Swamp Workflow Management 2022-10-11 19:20:31 UTC
SUSE-RU-2022:3567-1: An update that has three recommended fixes can now be installed.

Category: recommended (critical)
Bug References: 1189282,1201972,1203649
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    libzypp-17.31.2-150000.3.104.1, zypper-1.14.57-150000.3.78.1
SUSE Linux Enterprise Server 15-LTSS (src):    libzypp-17.31.2-150000.3.104.1, zypper-1.14.57-150000.3.78.1
SUSE Linux Enterprise Installer 15 (src):    libzypp-17.31.2-150000.3.104.1, zypper-1.14.57-150000.3.78.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    libzypp-17.31.2-150000.3.104.1, zypper-1.14.57-150000.3.78.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    libzypp-17.31.2-150000.3.104.1, zypper-1.14.57-150000.3.78.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2022-10-11 19:22:07 UTC
SUSE-RU-2022:3566-1: An update that has three recommended fixes can now be installed.

Category: recommended (critical)
Bug References: 1189282,1201972,1203649
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1
SUSE Linux Enterprise Installer 15-SP1 (src):    libzypp-17.31.2-150100.3.87.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1
SUSE Enterprise Storage 6 (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1
SUSE CaaS Platform 4.0 (src):    libzypp-17.31.2-150100.3.87.1, zypper-1.14.57-150100.3.64.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 Swamp Workflow Management 2022-10-11 19:22:58 UTC
SUSE-RU-2022:3564-1: An update that has three recommended fixes can now be installed.

Category: recommended (critical)
Bug References: 1189282,1201972,1203649
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    libzypp-17.31.2-150400.3.9.1, zypper-1.14.57-150400.3.9.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    libzypp-17.31.2-150400.3.9.1, zypper-1.14.57-150400.3.9.1
SUSE Linux Enterprise Micro 5.3 (src):    libzypp-17.31.2-150400.3.9.1, zypper-1.14.57-150400.3.9.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2022-10-11 19:25:50 UTC
SUSE-RU-2022:3565-1: An update that has three recommended fixes can now be installed.

Category: recommended (critical)
Bug References: 1189282,1201972,1203649
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
openSUSE Leap 15.3 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Manager Server 4.1 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Manager Retail Branch Server 4.1 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Manager Proxy 4.1 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Micro 5.2 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Micro 5.1 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise Installer 15-SP2 (src):    libzypp-17.31.2-150200.45.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1
SUSE Enterprise Storage 7 (src):    libzypp-17.31.2-150200.45.1, zypper-1.14.57-150200.39.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.